.c-popup {
  left: 50%;
  padding: 24px;
  max-width: 400px;
  margin-left: -200px;
  position: absolute;
  z-index: 100;
  transform: translateY(-50%);
  top: 50%;
  border-radius: 5px;
  background: #fff;
  box-shadow: 0 0 20px rgba(0,0,0,.5);
  backface-visibility: hidden;
}

.c-popup-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 50;
  background: rgba(0,0,0,.5);
  transition: all .3s ease-in-out;
}